import { createApp } from 'vue';
import './style.css';
import App from './App.vue';
import { router } from './router'
import { store } from './store';
import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/reset.css';

// router.beforeEach((to, from, next) => {
// 	document.title = `${to.meta.title} - 菊城人才市场后台管理`;
// 	if (!sessionStorage.getItem('token')) {
// 		if (to.matched.length > 0 && !to.matched.some(record => record.meta.requiresAuth)) {
// 			next()
// 		} else {
// 			next({
// 				path: '/login'
// 			})
// 		}
// 	} else {
// 		if (store.state.permissions.permissionList == null) {
// 			store.dispatch('permissions/FETCH_PERMISSION').then(() => {
// 				next({
// 					path: to.path
// 				})
// 			})
// 		} else {
// 			if (to.path !== '/login') {
// 				next()
// 			} else {
// 				next(from.fullPath)
// 			}
// 		}
// 	}
// })

const app = createApp(App);

app.use(router);
app.use(store);
app.use(Antd);
app.mount('#app');